=== debian/changelog ===
coq-unimath (20220204-1) unstable; urgency=medium

  * Initial release. (Closes: #1014997)

 -- Julien Puydt <jpuydt@debian.org>  Sat, 16 Jul 2022 08:03:44 +0200
