## coq-unimath 20220816

=== Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 PACKAGES += Induction
 ############################################
 # other user options; see also build/Makefile-configuration-template
-BUILD_COQ ?= yes
+BUILD_COQ ?= no
 BUILD_COQIDE ?= no
 DEBUG_COQ ?= no
 COQBIN ?=
@@ -42,14 +42,17 @@
 export COQBIN
 ############################################
 
-.PHONY: all everything install lc lcp wc describe clean distclean build-coq doc build-coqide html
-all: make-summary-files
+.PHONY: all everything install lc lcp wc describe clean distclean build-coq doc build-coqide html sanity-checks other-checks
+.PHONY all: make-summary-files
 everything: TAGS all html install
-sanity-checks:  check-prescribed-ordering	\
-		check-listing-of-proof-files	\
-		check-for-change-to-Foundations	\
+.PHONY sanity-checks:  check-prescribed-ordering	\
+		check-listing-of-proof-files		\
+		check-for-change-to-Foundations		\
 		check-for-submodule-changes
-other-checks:   check-max-line-length
+.PHONY other-checks:   check-max-line-length
+
+# empty target prevents implicit rule search, saving time
+Makefile :;
 
 COQIDE_OPTION := no
 
@@ -88,10 +91,14 @@
 EFFECTIVE_MEMORY_LIMIT = unlimited
 endif
 
-all html install uninstall $(VOFILES): build/CoqMakefile.make
+install: build/CoqMakefile.make
 	ulimit -v $(EFFECTIVE_MEMORY_LIMIT) ; $(MAKE) -f build/CoqMakefile.make $@
-clean:: build/CoqMakefile.make; $(MAKE) -f build/CoqMakefile.make $@
-distclean:: build/CoqMakefile.make; $(MAKE) -f build/CoqMakefile.make cleanall archclean
+all html uninstall: build/CoqMakefile.make
+	ulimit -v $(EFFECTIVE_MEMORY_LIMIT) ; $(MAKE) -f build/CoqMakefile.make $@
+clean:: build/CoqMakefile.make
+	$(MAKE) -f build/CoqMakefile.make $@
+distclean:: build/CoqMakefile.make
+	$(MAKE) -f build/CoqMakefile.make cleanall archclean
 
 WARNING_FLAGS := -notation-overridden
 OTHERFLAGS += $(MOREFLAGS)
@@ -164,7 +171,7 @@
 			$(shell <UniMath/$P/.package/files $(FILES_FILTER) |sed "s=^\(.*\).v=UniMath/$P/\1.vo=" )	\
 			UniMath/$P/All.vo))
 
-$(foreach v,$(VFILES), $(eval $v.vo:; ulimit -v $(EFFECTIVE_MEMORY_LIMIT) ; $(MAKE) -f build/CoqMakefile.make $v.vo))
+$(foreach v,$(VFILES), $(eval $v.vo: $v.v; ulimit -v $(EFFECTIVE_MEMORY_LIMIT) ; $(MAKE) -f build/CoqMakefile.make $v.vo))
 
 install:all
 coqwc:; coqwc $(VFILES)
@@ -202,8 +209,6 @@
 
 ifdef COQBIN
 build/CoqMakefile.make .coq_makefile_output.conf: $(COQBIN)coq_makefile
-else
-build/CoqMakefile.make .coq_makefile_output.conf: $(shell command -v coq_makefile)
 endif
 build/CoqMakefile.make .coq_makefile_output.conf: .coq_makefile_input
 	$(COQBIN)coq_makefile -f .coq_makefile_input -o .coq_makefile_output
@@ -220,7 +225,6 @@
 distclean:: clean
 distclean::          ; - $(MAKE) -C sub/coq distclean
 distclean::          ; rm -f build/Makefile-configuration
-distclean::          ; - $(MAKE) -C sub/lablgtk arch-clean
 
 #############################################################################
 # building coq:
@@ -253,7 +257,7 @@
 git-describe:
 	git describe --dirty --long --always --abbrev=40
 	git submodule foreach git describe --dirty --long --always --abbrev=40 --tags
-doc: $(GLOBFILES) $(VFILES) 
+doc: $(GLOBFILES)
 	mkdir -p $(ENHANCEDDOCTARGET)
 	cp $(ENHANCEDDOCSOURCE)/proofs-toggle.js $(ENHANCEDDOCTARGET)/proofs-toggle.js
 	$(SHOW)COQDOC
@@ -320,5 +324,3 @@
 	@echo "--- checking the ordering prescribed by the files UniMath/*/.packages/files ---"
 	@set -e ;														    \
 	if declare -A seqnum 2>/dev/null ;											    \
-	then n=0 ;														    \
-	     for i in $(VOFILES) ;												    \
