=== debian/changelog ===
coq-unimath (20220816-2build1) lunar; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 26 Jan 2023 14:01:17 +0100

coq-unimath (20220816-2) unstable; urgency=medium

  * Change b-dep from libcoq-ocaml-dev to libcoq-core-ocaml-dev.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 25 Jan 2023 12:46:00 +0100

coq-unimath (20220816-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 22 Aug 2022 09:29:37 +0200
