=== debian/control ===
Source: coq-unimath
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: ocaml
Priority: optional
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: coq,
               debhelper-compat (= 13),
               dh-coq,
               dh-ocaml,
               libcoq-core-ocaml-dev,
               libcoq-stdlib
Vcs-Browser: https://salsa.debian.org/ocaml-team/coq-unimath
Vcs-Git: https://salsa.debian.org/ocaml-team/coq-unimath.git
Homepage: https://github.com/UniMath/UniMath

Package: libcoq-unimath
Architecture: any
Depends: ${coq:Depends}, ${misc:Depends}
Provides: ${coq:Provides}
Description: univalent formalization of mathematics for Coq
 This package provides a library to formalize a substantial body
 of mathematics using the univalent point of view.
 .
 Coq is a proof assistant for higher-order logic.
