## coq-unimath 20230420

=== Makefile ===
--- 
+++ 
@@ -12,6 +12,7 @@
 PACKAGES += MoreFoundations
 PACKAGES += Combinatorics
 PACKAGES += Algebra
+PACKAGES += Tactics
 PACKAGES += NumberSystems
 PACKAGES += SyntheticHomotopyTheory
 PACKAGES += PAdics
@@ -20,13 +21,13 @@
 PACKAGES += Ktheory
 PACKAGES += Topology
 PACKAGES += RealNumbers
-PACKAGES += Tactics
 PACKAGES += SubstitutionSystems
 PACKAGES += Folds
 PACKAGES += HomologicalAlgebra
 PACKAGES += AlgebraicGeometry
 PACKAGES += Paradoxes
 PACKAGES += Induction
+PACKAGES += AlgebraicTheories
 ############################################
 # other user options; see also build/Makefile-configuration-template
 BUILD_COQ ?= no
@@ -48,7 +49,8 @@
 .PHONY sanity-checks:  check-prescribed-ordering	\
 		check-listing-of-proof-files		\
 		check-for-change-to-Foundations		\
-		check-for-submodule-changes
+		check-for-submodule-changes		\
+		check-for-changes-to-CONTENTS.md
 .PHONY other-checks:   check-max-line-length
 
 # empty target prevents implicit rule search, saving time
@@ -165,7 +167,7 @@
 FILES_FILTER := grep -vE '^[ \t]*(\#.*)?$$'
 FILES_FILTER_2 := grep -vE '^[ \t]*(\#.*)?$$$$'
 $(foreach P,$(PACKAGES),												\
-	$(eval $P: make-summary-files build/CoqMakefile.make;								\
+	$(eval $P: make-summary-files build/CoqMakefile.make UniMath/.dir-locals.el;								\
 		+ ulimit -v $(EFFECTIVE_MEMORY_LIMIT) ;									\
 		  $(MAKE) -f build/CoqMakefile.make									\
 			$(shell <UniMath/$P/.package/files $(FILES_FILTER) |sed "s=^\(.*\).v=UniMath/$P/\1.vo=" )	\
@@ -229,8 +231,8 @@
 #############################################################################
 # building coq:
 export PATH:=$(shell pwd)/sub/coq/bin:$(PATH)
-CONFIGURE_OPTIONS := -coqide "$(COQIDE_OPTION)" -with-doc no -local -no-custom
-BUILD_TARGETS := coqbinaries tools states ltac
+CONFIGURE_OPTIONS := -coqide "$(COQIDE_OPTION)" -with-doc no -prefix $(shell pwd)
+BUILD_TARGETS := coqbinaries tools states coq
 ifeq ($(DEBUG_COQ),yes)
 CONFIGURE_OPTIONS += -annot
 BUILD_TARGETS += byte
@@ -249,6 +251,7 @@
 .PHONY: rebuild-coq
 rebuild-coq sub/coq/bin/coq_makefile sub/coq/bin/coqc:
 	$(MAKE) -w -C sub/coq $(BUILD_OPTIONS) $(BUILD_TARGETS)
+	$(MAKE) -w -C sub/coq install
 ifeq ($(DEBUG_COQ),yes)
 	$(MAKE) -w -C sub/coq tags
 endif
@@ -321,6 +324,3 @@
 # Coq >= 8.8
 DEPFILES := $(VDFILE)
 .check-prescribed-ordering.okay: Makefile $(DEPFILES) $(PACKAGE_FILES)
-	@echo "--- checking the ordering prescribed by the files UniMath/*/.packages/files ---"
-	@set -e ;														    \
-	if declare -A seqnum 2>/dev/null ;											    \
