=== debian/changelog ===
coq-unimath (20230420-1build1) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 13 Jun 2023 10:43:10 +0200

coq-unimath (20230420-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.6.2.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 12 Jun 2023 19:34:04 +0200
