=== debian/tests/control ===
Test-Command: coqtop -batch -rifrom UniMath All
Restrictions: allow-stderr
Depends: coq, @
