=== debian/changelog ===
coq-unimath (20231010-1build3) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Apr 2024 09:15:36 +0200

coq-unimath (20231010-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:56:14 +0000

coq-unimath (20231010-1build1) noble; urgency=medium

  * No-change rebuild for new libcoq-stdlib ABI

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 24 Mar 2024 00:15:42 +0000

coq-unimath (20231010-1) unstable; urgency=medium

  * Fix d/rules clean target (Closes: #1044146)
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 21 Dec 2023 16:37:29 +0100

coq-unimath (20230420-4) unstable; urgency=medium

  * Re-enable 32-bits architectures using upstream patch.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 21 Jun 2023 09:50:31 +0200

coq-unimath (20230420-3) unstable; urgency=medium

  * Drop 32-bits architecture (too big for the VM there) (Closes: #1038450).

 -- Julien Puydt <jpuydt@debian.org>  Tue, 20 Jun 2023 14:21:21 +0200

coq-unimath (20230420-2) unstable; urgency=medium

  * Add a versioned depend on coq 8.17 (Closes: #1038382).

 -- Julien Puydt <jpuydt@debian.org>  Sat, 17 Jun 2023 15:37:55 +0200
