=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with coq,ocaml

override_dh_auto_clean:
	make clean
	rm -f UniMath/.dir-locals.el
	cp UniMath/CategoryTheory/categories/HSET/All.v All1.v
	cp UniMath/CategoryTheory/Chains/All.v All2.v
	find . -name All.v -delete
	mv All1.v UniMath/CategoryTheory/categories/HSET/All.v
	mv All2.v UniMath/CategoryTheory/Chains/All.v

override_dh_auto_test:
	# doesn't work

override_dh_auto_build:
	make BUILD_COQ=no

override_dh_auto_install:
	DESTDIR=$(CURDIR)/debian/tmp BUILD_COQ=no make install
