## coq-unimath 20240331

=== debian/changelog ===
coq-unimath (20240331-1build3) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 15 Jun 2024 16:35:42 +0200

coq-unimath (20240331-1build2) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 13 May 2024 20:21:18 +0200

coq-unimath (20240331-1build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 May 2024 22:10:38 +0200

coq-unimath (20240331-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 10 Apr 2024 09:29:16 +0200

coq-unimath (20240321-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 30 Mar 2024 09:42:45 +0100
