=== debian/rules ===
--- 
+++ 
@@ -8,10 +8,10 @@
 override_dh_auto_clean:
 	make clean
 	rm -f UniMath/.dir-locals.el
-	cp UniMath/CategoryTheory/categories/HSET/All.v All1.v
+	cp UniMath/CategoryTheory/Categories/HSET/All.v All1.v
 	cp UniMath/CategoryTheory/Chains/All.v All2.v
 	find . -name All.v -delete
-	mv All1.v UniMath/CategoryTheory/categories/HSET/All.v
+	mv All1.v UniMath/CategoryTheory/Categories/HSET/All.v
 	mv All2.v UniMath/CategoryTheory/Chains/All.v
 
 override_dh_auto_test:
