## coq-unimath 20240923

=== Makefile ===
--- 
+++ 
@@ -18,6 +18,7 @@
 PACKAGES += PAdics
 PACKAGES += OrderTheory
 PACKAGES += CategoryTheory
+PACKAGES += ModelCategories
 PACKAGES += Bicategories
 PACKAGES += Ktheory
 PACKAGES += Topology
@@ -115,7 +116,7 @@
 LATEXDIR = latex
 COQDOCLATEXOPTIONS := -latex -utf8 --body-only
 
-DEFINERS := 
+DEFINERS :=
 DEFINERS := $(DEFINERS)Axiom\|
 DEFINERS := $(DEFINERS)Class\|
 DEFINERS := $(DEFINERS)Coercion\|
@@ -145,7 +146,7 @@
 DEFINERS := $(DEFINERS)Theorem\|
 DEFINERS := $(DEFINERS)Universe
 
-MODIFIERS := 
+MODIFIERS :=
 MODIFIERS := $(MODIFIERS)Canonical\|
 MODIFIERS := $(MODIFIERS)Monomorphic\|
 MODIFIERS := $(MODIFIERS)Global\|
@@ -182,7 +183,7 @@
 lc:; wc -l $(VFILES)
 lcp:; for i in $(PACKAGES) ; do echo ; echo ==== $$i ==== ; for f in $(VFILES) ; do echo "$$f" ; done | grep "UniMath/$$i" | xargs wc -l ; done
 wc:; wc -w $(VFILES)
-admitted: 
+admitted:
 	grep --color=auto Admitted $(VFILES)
 axiom:
 	grep --color=auto "Axiom " $(VFILES)
@@ -325,4 +326,3 @@
 ifeq ($(shell test -f build/CoqMakefile.make && grep -q ^VDFILE build/CoqMakefile.make && echo yes),yes)
 # Coq >= 8.8
 DEPFILES := $(VDFILE)
-.check-prescribed-ordering.okay: Makefile $(DEPFILES) $(PACKAGE_FILES)
