=== debian/changelog ===
coq-unimath (20240923-2) unstable; urgency=medium

  * Unbreak autopkgtest.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 25 Nov 2024 10:37:16 +0100

coq-unimath (20240923-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.7.0.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 20 Nov 2024 10:50:23 +0100

coq-unimath (20240331-2) unstable; urgency=medium

  * Team upload
  * Do not hardcode /usr/lib/ocaml
  * Use makefile DH buildsystem (to parallelize)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 04 Aug 2024 06:32:31 +0200
