=== debian/watch ===
version=4
https://github.com/UniMath/UniMath/tags .*/v?([\d\.+]+).tar.gz
