## coq-unimath 20250923

=== Makefile ===
--- 
+++ 
@@ -52,8 +52,7 @@
 .PHONY sanity-checks:  check-prescribed-ordering	\
 		check-listing-of-proof-files		\
 		check-for-change-to-Foundations		\
-		check-for-submodule-changes		\
-		check-for-changes-to-CONTENTS.md
+		check-for-submodule-changes
 .PHONY other-checks:   check-max-line-length
 
 # empty target prevents implicit rule search, saving time
@@ -107,7 +106,7 @@
 
 WARNING_FLAGS := -notation-overridden
 OTHERFLAGS += $(MOREFLAGS)
-OTHERFLAGS += -noinit -indices-matter -type-in-type -w '\'"$(WARNING_FLAGS)"\''
+OTHERFLAGS += -noinit -indices-matter -w '\'"$(WARNING_FLAGS)"\''
 ifeq ($(VERBOSE),yes)
 OTHERFLAGS += -verbose
 endif
@@ -287,10 +286,8 @@
 	rm -f $(ISOLATED_BUG_FILE) &&										\
 	../sub/coq-tools/find-bug.py --coqbin ../sub/coq/bin -R . UniMath					\
 		--arg " -indices-matter"									\
-		--arg " -type-in-type"										\
 		--arg " -noinit"										\
 		--arg " -indices-matter"									\
-		--arg " -type-in-type"										\
 		--arg " -w"											\
 		--arg " -notation-overridden,-local-declaration,+uniform-inheritance,-deprecated-option"	\
 		$(BUGGY_FILE) $(ISOLATED_BUG_FILE)
@@ -326,3 +323,6 @@
 ifeq ($(shell test -f build/CoqMakefile.make && grep -q ^VDFILE build/CoqMakefile.make && echo yes),yes)
 # Coq >= 8.8
 DEPFILES := $(VDFILE)
+.check-prescribed-ordering.okay: Makefile $(DEPFILES) $(PACKAGE_FILES)
+	@echo "--- checking the ordering prescribed by the files UniMath/*/.packages/files ---"
+	@set -e;\
