=== debian/changelog ===
coq-unimath (20250923-2) experimental; urgency=medium

  * Strenghten depends on coq/rocq.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 11 Nov 2025 18:36:32 +0100

coq-unimath (20250923-1) experimental; urgency=medium

  * Bump standards-version to 4.7.2.
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 29 Oct 2025 09:34:34 +0100
