=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,10 @@
 
 include /usr/share/ocaml/ocamlvars.mk
 
+export DEB_BUILD_OPTIONS += noautodbgsym
+
 %:
-	dh $@ --with coq,ocaml
+	dh $@ --with coq,ocaml --buildsystem makefile
 
 override_dh_auto_clean:
 	make clean
@@ -18,7 +20,7 @@
 	# doesn't work
 
 override_dh_auto_build:
-	make BUILD_COQ=no
+	dh_auto_build -- BUILD_COQ=no
 
 override_dh_auto_install:
 	DESTDIR=$(CURDIR)/debian/tmp BUILD_COQ=no make install
